#!/bin/sh
curdir=$pwd
mydir="${0%/*}"

cd $mydir

if [[ $OSTYPE == 'darwin'* ]]; then
  download_path=https://download.pytorch.org/libtorch/cpu/libtorch-macos-1.12.1.zip
  zip_file=libtorch-macos-1.12.1.zip
else
  download_path=https://download.pytorch.org/libtorch/cpu/libtorch-cxx11-abi-shared-with-deps-1.8.1%2Bcpu.zip
  zip_file=libtorch-cxx11-abi-shared-with-deps-1.8.1+cpu.zip
fi

echo "downloading libtorch"
wget -q ${download_path}
echo "unzipping libtorch"
unzip ${zip_file}