//
// This file is part of the PlaJA code base (2019 - 2019).
//

#ifndef PLAJA_NOT_IMPLEMENTED_EXCEPTION_H
#define PLAJA_NOT_IMPLEMENTED_EXCEPTION_H

#include "plaja_exception.h"

/**
 * Development exception:
 * thrown if function is not implemented for, in particular for virtual functions.
 */
class NotImplementedException: public PlajaException {
public:
    explicit NotImplementedException(const std::string& function);
};

#endif //PLAJA_NOT_IMPLEMENTED_EXCEPTION_H
