//
// This file is part of the PlaJA code base (2019 - 2020).
//

#ifndef PLAJA_PROPERTY_ANALYSIS_EXCEPTION_H
#define PLAJA_PROPERTY_ANALYSIS_EXCEPTION_H

#include "plaja_exception.h"

// extern:
namespace PLAJA_UTILS { extern const std::string emptyString; }

class PropertyAnalysisException: public PlajaException {
public:
    explicit PropertyAnalysisException(const std::string& property, const std::string& reason);
    explicit PropertyAnalysisException(const std::string& property, const std::string& engine, const std::string& reason);
    ~PropertyAnalysisException() override;
};

#endif //PLAJA_PROPERTY_ANALYSIS_EXCEPTION_H
