//
// This file is part of the Marabou extension for PlaJA (2019 - 2023).
//

#ifndef PLAJA_FORWARD_EXPRESSION_H
#define PLAJA_FORWARD_EXPRESSION_H

class Expression;

class PropertyExpression;

class ArrayAccessExpression;

class ArrayConstructorExpression;

class ArrayValueExpression;

class BinaryOpExpression;

class BoolValueExpression;

class ConstantExpression;

class ConstantValueExpression;

class DerivativeExpression;

class DistributionSamplingExpression;

class ExpectationExpression;

class FilterExpression;

class IntegerValueExpression;

class ITE_Expression;

class LValueExpression;

class PathExpression;

class QfiedExpression;

class RealValueExpression;

class StatePredicateExpression;

class UnaryOpExpression;

class VariableExpression;

// non-standard:

class ActionOpTuple;

class CommentExpression;

class FreeVariableExpression;

class LetExpression;

class LocationValueExpression;

class ObjectiveExpression;

class PAExpression;

class PredicatesExpression;

class ProblemInstanceExpression;

class StateConditionExpression;

class StateValuesExpression;

class StatesValuesExpression;

class VariableValueExpression;

// special case structures:

class LinearExpression;

class NaryExpression;

#endif //PLAJA_FORWARD_EXPRESSION_H
