//
// This file is part of the Marabou extension for PlaJA (2019 - 2023).
//

#ifndef PLAJA_FORWARD_AST_H
#define PLAJA_FORWARD_AST_H

class AstElement;

class Commentable;

class Action;

class Assignment;

class Automaton;

class Composition;

class CompositionElement;

class ConstantDeclaration;

class Destination;

class Edge;

class Location;

class Metadata;

class Model;

class Property;

class PropertyInterval;

class RewardBound;

class RewardInstant;

class Synchronisation;

class TransientValue;

class VariableDeclaration;

// non-standard

class FreeVariableDeclaration;

class Properties;

class RewardAccumulation;

#endif //PLAJA_FORWARD_AST_H
