//
// This file is part of the PlaJA code base (2019 - 2019).
//

#include "jani_words.h"

namespace JANI {
    const std::string ID { "ID: " }; // NOLINT(cert-err58-cpp)

    const std::string AA { "aa" }; // NOLINT(cert-err58-cpp)
    const std::string AC { "ac" }; // NOLINT(cert-err58-cpp)
    const std::string ACTION { "action" }; // NOLINT(cert-err58-cpp)
    const std::string ACTIONS { "actions" }; // NOLINT(cert-err58-cpp)
    const std::string ACCUMULATE { "accumulate" }; // NOLINT(cert-err58-cpp)
    const std::string ARGS { "args" }; // NOLINT(cert-err58-cpp)
    const std::string ARRAY { "array" }; // NOLINT(cert-err58-cpp)
    const std::string ASSIGNMENTS { "assignments" }; // NOLINT(cert-err58-cpp)
    const std::string AV { "av" }; // NOLINT(cert-err58-cpp)
    const std::string AUTHOR { "author" }; // NOLINT(cert-err58-cpp)
    const std::string AUTOMATON { "automaton" }; // NOLINT(cert-err58-cpp)
    const std::string AUTOMATA { "automata" }; // NOLINT(cert-err58-cpp)
    const std::string BASE { "base" }; // NOLINT(cert-err58-cpp)
    const std::string BOUNDED { "bounded" }; // NOLINT(cert-err58-cpp)
    const std::string BOUNDS { "bounds" }; // NOLINT(cert-err58-cpp)
    const std::string COMMENT { "comment" }; // NOLINT(cert-err58-cpp)
    const std::string CONSTANT { "constant" }; // NOLINT(cert-err58-cpp)
    const std::string CONSTANTS { "constants" }; // NOLINT(cert-err58-cpp)
    const std::string DER { "der" }; // NOLINT(cert-err58-cpp)
    const std::string DESCRIPTION { "description" }; // NOLINT(cert-err58-cpp)
    const std::string DESTINATIONS { "destinations" }; // NOLINT(cert-err58-cpp)
    const std::string DISTRIBUTION { "distribution" }; // NOLINT(cert-err58-cpp)
    const std::string DOI { "doi" }; // NOLINT(cert-err58-cpp)
    const std::string EDGES { "edges" }; // NOLINT(cert-err58-cpp)
    const std::string ELEMENTS { "elements" }; // NOLINT(cert-err58-cpp)
    const std::string ELSE { "else" }; // NOLINT(cert-err58-cpp)
    const std::string EXP { "exp" }; // NOLINT(cert-err58-cpp)
    const std::string EXPRESSION { "expression" }; // NOLINT(cert-err58-cpp)
    const std::string FEATURES { "features" }; // NOLINT(cert-err58-cpp)
    const std::string FILE { "file" }; // NOLINT(cert-err58-cpp)
    const std::string FILTER { "filter" }; // NOLINT(cert-err58-cpp)
    const std::string FUN { "fun" }; // NOLINT(cert-err58-cpp)
    const std::string GUARD { "guard" }; // NOLINT(cert-err58-cpp)
    const std::string IF { "if" }; // NOLINT(cert-err58-cpp)
    const std::string INDEX { "index" }; // NOLINT(cert-err58-cpp)
    const std::string INITIAL_LOCATIONS { "initial-locations" }; // NOLINT(cert-err58-cpp)
    const std::string INITIAL_VALUE { "initial-value" }; // NOLINT(cert-err58-cpp)
    const std::string INPUT { "input" }; // NOLINT(cert-err58-cpp)
    const std::string INPUT_ENABLE { "input-enable" }; // NOLINT(cert-err58-cpp)
    const std::string INSTANT { "instant" }; // NOLINT(cert-err58-cpp)
    const std::string ITE { "ite" }; // NOLINT(cert-err58-cpp)
    const std::string JANI_VERSION { "jani-version" }; // NOLINT(cert-err58-cpp)
    const std::string KIND { "kind" }; // NOLINT(cert-err58-cpp)
    const std::string LENGTH { "length" }; // NOLINT(cert-err58-cpp)
    const std::string LEFT { "left" }; // NOLINT(cert-err58-cpp)
    const std::string LOCATION { "location" }; // NOLINT(cert-err58-cpp)
    const std::string LOCATIONS { "locations" }; // NOLINT(cert-err58-cpp)
    const std::string LOWER { "lower" }; // NOLINT(cert-err58-cpp)
    const std::string LOWER_BOUND { "lower-bound" }; // NOLINT(cert-err58-cpp)
    const std::string LOWER_EXCLUSIVE { "lower-exclusive" }; // NOLINT(cert-err58-cpp)
    const std::string METADATA { "metadata" }; // NOLINT(cert-err58-cpp)
    const std::string OP { "op" }; // NOLINT(cert-err58-cpp)
    const std::string OUTPUT { "output" }; // NOLINT(cert-err58-cpp)
    const std::string PREDICATES { "predicates" }; // NOLINT(cert-err58-cpp)
    const std::string PROBABILITY { "probability" }; // NOLINT(cert-err58-cpp)
    const std::string PROPERTIES { "properties" }; // NOLINT(cert-err58-cpp)
    const std::string NAME { "name" }; // NOLINT(cert-err58-cpp)
    const std::string RATE { "rate" }; // NOLINT(cert-err58-cpp)
    const std::string REACH { "reach" }; // NOLINT(cert-err58-cpp)
    const std::string REF { "ref" }; // NOLINT(cert-err58-cpp)
    const std::string RESTRICT_INITIAL { "restrict-initial" }; // NOLINT(cert-err58-cpp)
    const std::string RESULT { "result" }; // NOLINT(cert-err58-cpp)
    const std::string REWARD_BOUNDS { "reward-bounds" }; // NOLINT(cert-err58-cpp)
    const std::string REWARD_INSTANTS { "reward-instants" }; // NOLINT(cert-err58-cpp)
    const std::string RIGHT { "right" }; // NOLINT(cert-err58-cpp)
    const std::string STATES { "states" }; // NOLINT(cert-err58-cpp)
    const std::string STEP_BOUNDS { "step-bounds" }; // NOLINT(cert-err58-cpp)
    const std::string STEP_INSTANT { "step-instant" }; // NOLINT(cert-err58-cpp)
    const std::string SYNCS { "syncs" }; // NOLINT(cert-err58-cpp)
    const std::string SYNCHRONISE { "synchronise" }; // NOLINT(cert-err58-cpp)
    const std::string SYSTEM { "system" }; // NOLINT(cert-err58-cpp)
    const std::string THEN { "then" }; // NOLINT(cert-err58-cpp)
    const std::string TIME_BOUNDS { "time-bounds" }; // NOLINT(cert-err58-cpp)
    const std::string TIME_INSTANT { "time-instant" }; // NOLINT(cert-err58-cpp)
    const std::string TIME_PROGRESS { "time-progress" }; // NOLINT(cert-err58-cpp)
    const std::string TRANSIENT { "transient" }; // NOLINT(cert-err58-cpp)
    const std::string TRANSIENT_VALUES { "transient-values" }; // NOLINT(cert-err58-cpp)
    const std::string TYPE { "type" }; // NOLINT(cert-err58-cpp)
    const std::string VALUE { "value" }; // NOLINT(cert-err58-cpp)
    const std::string VALUES { "values" }; // NOLINT(cert-err58-cpp)
    const std::string VAR { "var" }; // NOLINT(cert-err58-cpp)
    const std::string VARIABLES { "variables" }; // NOLINT(cert-err58-cpp)
    const std::string VERSION { "version" }; // NOLINT(cert-err58-cpp)
    const std::string UPPER { "upper" }; // NOLINT(cert-err58-cpp)
    const std::string UPPER_BOUND { "upper-bound" }; // NOLINT(cert-err58-cpp)
    const std::string UPPER_EXCLUSIVE { "upper-exclusive" }; // NOLINT(cert-err58-cpp)
    const std::string URL { "url" }; // NOLINT(cert-err58-cpp)
    // non-standard
    const std::string ELEMENT { "element" }; // NOLINT(cert-err58-cpp)
    const std::string GOAL { "goal" }; // NOLINT(cert-err58-cpp)
    const std::string GOAL_POTENTIAL { "goal-potential" }; // NOLINT(cert-err58-cpp)
    const std::string GOAL_REWARD { "goal-reward" }; // NOLINT(cert-err58-cpp)
    const std::string LABEL { "label" }; // NOLINT(cert-err58-cpp)
    const std::string LABELS { "labels" }; // NOLINT(cert-err58-cpp)
    const std::string OBJECTIVE { "objective" }; // NOLINT(cert-err58-cpp)
    const std::string ops { "ops" }; // NOLINT(cert-err58-cpp)
    const std::string paStates { "pa-states" }; // NOLINT(cert-err58-cpp)
    const std::string POLICY { "policy" }; // NOLINT(cert-err58-cpp)
    const std::string START { "start" }; // NOLINT(cert-err58-cpp)
    const std::string step { "step" }; // NOLINT(cert-err58-cpp)
    const std::string STEP_REWARD { "step-reward" }; // NOLINT(cert-err58-cpp)
    const std::string TORCH_FILE { "torch-file" }; // NOLINT(cert-err58-cpp)
}