//
// This file is part of the PlaJA code base (2019 - 2019).
//

#ifndef PLAJA_JANI_WORDS_H
#define PLAJA_JANI_WORDS_H

#include <string>

namespace JANI {
    extern const std::string ID;

    extern const std::string AA;
    extern const std::string AC;
    extern const std::string ACTION;
    extern const std::string ACTIONS;
    extern const std::string ACCUMULATE;
    extern const std::string ARGS;
    extern const std::string ARRAY;
    extern const std::string ASSIGNMENTS;
    extern const std::string AV;
    extern const std::string AUTHOR;
    extern const std::string AUTOMATON;
    extern const std::string AUTOMATA;
    extern const std::string BASE;
    extern const std::string BOUNDED;
    extern const std::string BOUNDS;
    extern const std::string COMMENT;
    extern const std::string CONSTANT;
    extern const std::string CONSTANTS;
    extern const std::string DER;
    extern const std::string DESCRIPTION;
    extern const std::string DESTINATIONS;
    extern const std::string DISTRIBUTION;
    extern const std::string DOI;
    extern const std::string EDGES;
    extern const std::string ELEMENTS;
    extern const std::string ELSE;
    extern const std::string EXP;
    extern const std::string EXPRESSION;
    extern const std::string FEATURES;
    extern const std::string FILE;
    extern const std::string FILTER;
    extern const std::string FUN;
    extern const std::string GUARD;
    extern const std::string IF;
    extern const std::string INDEX;
    extern const std::string INITIAL_LOCATIONS;
    extern const std::string INITIAL_VALUE;
    extern const std::string INPUT_ENABLE;
    extern const std::string INPUT;
    extern const std::string INSTANT;
    extern const std::string ITE;
    extern const std::string JANI_VERSION;
    extern const std::string KIND;
    extern const std::string LENGTH;
    extern const std::string LEFT;
    extern const std::string LOCATION;
    extern const std::string LOCATIONS;
    extern const std::string LOWER;
    extern const std::string LOWER_BOUND;
    extern const std::string LOWER_EXCLUSIVE;
    extern const std::string METADATA;
    extern const std::string NAME;
    extern const std::string OP;
    extern const std::string OUTPUT;
    extern const std::string PREDICATES;
    extern const std::string PROBABILITY;
    extern const std::string PROPERTIES;
    extern const std::string RATE;
    extern const std::string REACH;
    extern const std::string REF;
    extern const std::string RESTRICT_INITIAL;
    extern const std::string RESULT;
    extern const std::string REWARD_BOUNDS;
    extern const std::string REWARD_INSTANTS;
    extern const std::string RIGHT;
    extern const std::string STATES;
    extern const std::string STEP_BOUNDS;
    extern const std::string STEP_INSTANT;
    extern const std::string SYNCS;
    extern const std::string SYNCHRONISE;
    extern const std::string SYSTEM;
    extern const std::string THEN;
    extern const std::string TIME_BOUNDS;
    extern const std::string TIME_INSTANT;
    extern const std::string TIME_PROGRESS;
    extern const std::string TRANSIENT;
    extern const std::string TRANSIENT_VALUES;
    extern const std::string TYPE;
    extern const std::string VALUE;
    extern const std::string VALUES;
    extern const std::string VAR;
    extern const std::string VARIABLES;
    extern const std::string VERSION;
    extern const std::string UPPER;
    extern const std::string UPPER_BOUND;
    extern const std::string UPPER_EXCLUSIVE;
    extern const std::string URL;
    // non-standard
    extern const std::string ELEMENT;
    extern const std::string GOAL;
    extern const std::string GOAL_POTENTIAL;
    extern const std::string GOAL_REWARD; // deprecated
    extern const std::string LABEL;
    extern const std::string LABELS;
    extern const std::string OBJECTIVE;
    extern const std::string ops;
    extern const std::string paStates;
    extern const std::string POLICY;
    extern const std::string START;
    extern const std::string step;
    extern const std::string STEP_REWARD;
    extern const std::string TORCH_FILE;
}

#endif //PLAJA_JANI_WORDS_H
