//
// This file is part of the PlaJA code base (2019 - 2022).
//

#include "bmc_options.h"

namespace PLAJA_OPTION {

    const std::string bmc_mode("bmc-mode"); // NOLINT(cert-err58-cpp)
    const std::string max_steps("max-steps"); // NOLINT(cert-err58-cpp)
    const std::string find_shortest_path_only("find_shortest_path_only"); // NOLINT(cert-err58-cpp)
    const std::string constrain_no_start("constrain_no_start"); // NOLINT(cert-err58-cpp)
    const std::string constrain_loop_free("constrain_loop_free"); // NOLINT(cert-err58-cpp)
    const std::string constrain_no_reach("constrain_no_reach"); // NOLINT(cert-err58-cpp)
    const std::string bmc_solver("bmc-solver"); // NOLINT(cert-err58-cpp)

}

namespace PLAJA_OPTION_DEFAULT {

    const std::string bmc_mode("unsafe"); // NOLINT(cert-err58-cpp)
    const std::string bmc_solver("z3"); // NOLINT(cert-err58-cpp)

}