//
// This file is part of the Marabou extension for PlaJA (2019 - 2023).
//

#include "solution_check_wrapper.h"

SolutionCheckWrapper::SolutionCheckWrapper(std::unique_ptr<::SolutionCheckerInstance>&& solution_checker_instance):
    solutionCheckerInstance(std::move(solution_checker_instance)) {
}

SolutionCheckWrapper::~SolutionCheckWrapper() = default;

std::unique_ptr<::SolutionCheckerInstance> SolutionCheckWrapper::release_instance() { return std::move(solutionCheckerInstance); }
