#!/bin/sh
curdir=$pwd
mydir="${0%/*}"

cd $mydir

if [ ! -d $mydir/Marabou ]
then
git clone https://gitlab.cs.uni-saarland.de/vinzent/MarabouPublic.git
fi

mv MarabouPublic Marabou # Naming convention.

cd Marabou
git checkout icaps24Public

# execute cmake script
sh ./cmake_marabou.sh

# build ...
cd build
make -j 4 MarabouHelper # local-machine-friendly j ...