//
// This file is part of the PlaJA code base (2019 - 2020).
//

#include "plaja_options.h"

namespace PLAJA_OPTION {
    const std::string help("help"); // NOLINT(cert-err58-cpp)
    // Engines
    const std::string engine("engine"); // NOLINT(cert-err58-cpp)
    const std::string max_time("max-time"); // NOLINT(cert-err58-cpp)
    const std::string print_time("print-time"); // NOLINT(cert-err58-cpp)
    // Properties
    const std::string model_file("model-file"); // NOLINT(cert-err58-cpp)
    const std::string prop("prop"); // NOLINT(cert-err58-cpp)
    const std::string additional_properties("additional-properties"); // NOLINT(cert-err58-cpp)
    const std::string allow_locals("allow-locals"); // NOLINT(cert-err58-cpp)
    const std::string nn_interface("nn-interface"); // NOLINT(cert-err58-cpp)
    const std::string nn_for_racetrack("nn-for-racetrack"); // NOLINT(cert-err58-cpp)
    const std::string nn("nn"); // NOLINT(cert-err58-cpp)
    const std::string torch_model("torch-model"); // NOLINT(cert-err58-cpp)
    const std::string applicability_filtering("applicability-filtering"); // NOLINT(cert-err58-cpp)
    const std::string ignore_nn("ignore-nn"); // NOLINT(cert-err58-cpp)
    // Constants
    extern const std::string consts("consts"); // NOLINT(cert-err58-cpp)
    // Statistics
    const std::string print_stats("print-stats"); // NOLINT(cert-err58-cpp)
    const std::string stats_file("stats-file"); // NOLINT(cert-err58-cpp)
    const std::string save_intermediate_stats("save-intermediate-stats"); // NOLINT(cert-err58-cpp)
    const std::string savePath("save-path"); // NOLINT(cert-err58-cpp)
    const std::string saveStateSpace("output-state-space"); // NOLINT(cert-err58-cpp)
    // Parsing
    const std::string ignore_unexpected_json("ignore-unexpected-json"); // NOLINT(cert-err58-cpp)
    const std::string pa_objective("pa-objective"); // NOLINT(cert-err58-cpp)
    const std::string set_pa_goal_objective_terminal("set-pa-goal-objective-terminal"); // NOLINT(cert-err58-cpp)
    // Misc
    const std::string seed("seed"); // NOLINT(cert-err58-cpp)
    const std::string local_backup("local-backup"); // NOLINT(cert-err58-cpp)
    const std::string additional_initial_states("additional-initial-states"); // NOLINT(cert-err58-cpp)
    const std::string naive_initial_state_enum("naive-initial-state-enum"); // NOLINT(cert-err58-cpp)
}
