//
// This file is part of the PlaJA code base (2019 - 2022).
//

#include "ql_options.h"

namespace PLAJA_OPTION {

    // Policy Learning
    const std::string evaluation_mode("evaluation-mode"); // NOLINT(cert-err58-cpp)
    const std::string load_nn("load-nn"); // NOLINT(cert-err58-cpp)
    const std::string save_backup("save-backup"); // NOLINT(cert-err58-cpp)
    const std::string save_nnet("save-nnet"); // NOLINT(cert-err58-cpp)
    const std::string num_episodes("num-episodes"); // NOLINT(cert-err58-cpp)
    const std::string max_length_episode("max-length-episode"); // NOLINT(cert-err58-cpp)
    const std::string terminate_cycles("terminate-cycles"); // NOLINT(cert-err58-cpp)
    const std::string epsilon_start("epsilon-start"); // NOLINT(cert-err58-cpp)
    const std::string epsilon_decay("epsilon-decay"); // NOLINT(cert-err58-cpp)
    const std::string epsilon_end("epsilon-end"); // NOLINT(cert-err58-cpp)
    const std::string goal_reward("goal-reward"); // NOLINT(cert-err58-cpp)
    const std::string avoid_reward("avoid-reward"); // NOLINT(cert-err58-cpp)
    const std::string terminal_reward("terminal-reward"); // NOLINT(cert-err58-cpp)
    const std::string stalling_reward("stalling-reward"); // NOLINT(cert-err58-cpp)
    const std::string groundStartPotential("ground-start-potential"); // NOLINT(cert-err58-cpp)
    const std::string groundDonePotential("ground-done-potential"); // NOLINT(cert-err58-cpp)
    const std::string minimal_score("minimal-score"); // NOLINT(cert-err58-cpp)
    const std::string slicingSize("slicing-size"); // NOLINT(cert-err58-cpp)

    /* Policy teacher. */
    const std::string teacherModel("teacher-model"); // NOLINT(cert-err58-cpp)
    const std::string teacherGreediness("teacher-greediness"); // NOLINT(cert-err58-cpp)
    const std::string teacherExplore("teacher-explorer"); // NOLINT(cert-err58-cpp)


}
