//
// This file is part of PlaJA (2019 - 2024).
// Copyright (c) Marcel Vinzent (2024).
//

#include "constraint_z3.h"
#include "solver/smt_solver_z3.h"

Z3_IN_PLAJA::Constraint::~Constraint() = default;

void Z3_IN_PLAJA::Constraint::add_to_solver(PLAJA::SmtSolver& solver) const { PLAJA_UTILS::cast_ref<Z3_IN_PLAJA::SMTSolver>(solver).add(expr); }

void Z3_IN_PLAJA::Constraint::add_negation_to_solver(PLAJA::SmtSolver& solver) const { PLAJA_UTILS::cast_ref<Z3_IN_PLAJA::SMTSolver>(solver).add(!expr); }