//
// This file is part of the Marabou extension for PlaJA (2019 - 2023).
//

#ifndef PLAJA_FORWARD_SMT_Z3_H
#define PLAJA_FORWARD_SMT_Z3_H

#include "base/forward_smt.h"

class ModelZ3;

class NNInZ3;

namespace Z3_IN_PLAJA { class OutputConstraints; }

namespace Z3_IN_PLAJA { class SMTSolver; }

namespace Z3_IN_PLAJA { class SolutionCheckWrapper; }

namespace Z3_IN_PLAJA { class Solution; }

class ActionOpToZ3;

class SuccessorGeneratorToZ3;

class OpApplicability;

class UpdateToZ3;

struct ToZ3Expr;

struct ToZ3ExprSplits;

namespace Z3_IN_PLAJA { class Context; }

namespace Z3_IN_PLAJA { class StateVarsInZ3; }

namespace Z3_IN_PLAJA { class StateIndexes; }

#endif //PLAJA_FORWARD_SMT_Z3_H
