//
// This file is part of the PlaJA code base (2019 - 2022).
//

#ifndef PLAJA_USING_SMT_H
#define PLAJA_USING_SMT_H

#include "utils/forward_z3.h"

namespace Z3_IN_PLAJA {

    using VarId_type = unsigned int;
    constexpr VarId_type noneVar = static_cast<VarId_type>(-1);

    class Context;

    class StateVarsInZ3;

    class StateIndexes;

    class SMTSolver;

    class MarabouToZ3Vars;

    constexpr unsigned int floatingPrecision = 9;

}

#endif //PLAJA_USING_SMT_H
